import type { DefaultValues } from '../../../bridge';
import type { ApplyBlockMigrationRequest, AttachServerVolumeRequest, AttachServerVolumeResponse, CreateImageRequest, CreateImageResponse, CreateIpRequest, CreateIpResponse, CreatePlacementGroupRequest, CreatePlacementGroupResponse, CreatePrivateNICRequest, CreatePrivateNICResponse, CreateSecurityGroupRequest, CreateSecurityGroupResponse, CreateSecurityGroupRuleRequest, CreateSecurityGroupRuleResponse, CreateServerRequest, CreateServerResponse, CreateSnapshotRequest, CreateSnapshotResponse, CreateVolumeRequest, CreateVolumeResponse, DetachServerVolumeRequest, DetachServerVolumeResponse, ExportSnapshotRequest, ExportSnapshotResponse, GetDashboardResponse, GetImageResponse, GetIpResponse, GetPlacementGroupResponse, GetPlacementGroupServersResponse, GetPrivateNICResponse, GetSecurityGroupResponse, GetSecurityGroupRuleResponse, GetServerResponse, GetServerTypesAvailabilityResponse, GetSnapshotResponse, GetVolumeResponse, ListImagesResponse, ListIpsResponse, ListPlacementGroupsResponse, ListPrivateNICsResponse, ListSecurityGroupRulesResponse, ListSecurityGroupsResponse, ListServerActionsResponse, ListServerUserDataResponse, ListServersResponse, ListServersTypesResponse, ListSnapshotsResponse, ListVolumesResponse, ListVolumesTypesResponse, MigrationPlan, PlanBlockMigrationRequest, PrivateNIC, ServerActionRequest, ServerActionResponse, SetImageRequest, SetPlacementGroupRequest, SetPlacementGroupResponse, SetPlacementGroupServersRequest, SetPlacementGroupServersResponse, SetSecurityGroupRulesRequest, SetSecurityGroupRulesResponse, UpdateImageRequest, UpdateImageResponse, UpdateIpRequest, UpdateIpResponse, UpdatePlacementGroupRequest, UpdatePlacementGroupResponse, UpdatePlacementGroupServersRequest, UpdatePlacementGroupServersResponse, UpdatePrivateNICRequest, UpdateSecurityGroupRequest, UpdateSecurityGroupResponse, UpdateSecurityGroupRuleRequest, UpdateSecurityGroupRuleResponse, UpdateServerRequest, UpdateServerResponse, UpdateSnapshotRequest, UpdateSnapshotResponse, UpdateVolumeRequest, UpdateVolumeResponse } from './types.gen';
import type { SetImageResponse, SetSecurityGroupRequest, SetSecurityGroupResponse, SetSecurityGroupRuleRequest, SetSecurityGroupRuleResponse, SetServerRequest, SetServerResponse, SetSnapshotRequest, SetSnapshotResponse } from './types.private.gen';
export declare const unmarshalPrivateNIC: (data: unknown) => PrivateNIC;
export declare const unmarshalAttachServerVolumeResponse: (data: unknown) => AttachServerVolumeResponse;
export declare const unmarshalCreateImageResponse: (data: unknown) => CreateImageResponse;
export declare const unmarshalCreateIpResponse: (data: unknown) => CreateIpResponse;
export declare const unmarshalCreatePlacementGroupResponse: (data: unknown) => CreatePlacementGroupResponse;
export declare const unmarshalCreatePrivateNICResponse: (data: unknown) => CreatePrivateNICResponse;
export declare const unmarshalCreateSecurityGroupResponse: (data: unknown) => CreateSecurityGroupResponse;
export declare const unmarshalCreateSecurityGroupRuleResponse: (data: unknown) => CreateSecurityGroupRuleResponse;
export declare const unmarshalCreateServerResponse: (data: unknown) => CreateServerResponse;
export declare const unmarshalCreateSnapshotResponse: (data: unknown) => CreateSnapshotResponse;
export declare const unmarshalCreateVolumeResponse: (data: unknown) => CreateVolumeResponse;
export declare const unmarshalDetachServerVolumeResponse: (data: unknown) => DetachServerVolumeResponse;
export declare const unmarshalExportSnapshotResponse: (data: unknown) => ExportSnapshotResponse;
export declare const unmarshalGetDashboardResponse: (data: unknown) => GetDashboardResponse;
export declare const unmarshalGetImageResponse: (data: unknown) => GetImageResponse;
export declare const unmarshalGetIpResponse: (data: unknown) => GetIpResponse;
export declare const unmarshalGetPlacementGroupResponse: (data: unknown) => GetPlacementGroupResponse;
export declare const unmarshalGetPlacementGroupServersResponse: (data: unknown) => GetPlacementGroupServersResponse;
export declare const unmarshalGetPrivateNICResponse: (data: unknown) => GetPrivateNICResponse;
export declare const unmarshalGetSecurityGroupResponse: (data: unknown) => GetSecurityGroupResponse;
export declare const unmarshalGetSecurityGroupRuleResponse: (data: unknown) => GetSecurityGroupRuleResponse;
export declare const unmarshalGetServerResponse: (data: unknown) => GetServerResponse;
export declare const unmarshalGetServerTypesAvailabilityResponse: (data: unknown) => GetServerTypesAvailabilityResponse;
export declare const unmarshalGetSnapshotResponse: (data: unknown) => GetSnapshotResponse;
export declare const unmarshalGetVolumeResponse: (data: unknown) => GetVolumeResponse;
export declare const unmarshalListImagesResponse: (data: unknown) => ListImagesResponse;
export declare const unmarshalListIpsResponse: (data: unknown) => ListIpsResponse;
export declare const unmarshalListPlacementGroupsResponse: (data: unknown) => ListPlacementGroupsResponse;
export declare const unmarshalListPrivateNICsResponse: (data: unknown) => ListPrivateNICsResponse;
export declare const unmarshalListSecurityGroupRulesResponse: (data: unknown) => ListSecurityGroupRulesResponse;
export declare const unmarshalListSecurityGroupsResponse: (data: unknown) => ListSecurityGroupsResponse;
export declare const unmarshalListServerActionsResponse: (data: unknown) => ListServerActionsResponse;
export declare const unmarshalListServerUserDataResponse: (data: unknown) => ListServerUserDataResponse;
export declare const unmarshalListServersResponse: (data: unknown) => ListServersResponse;
export declare const unmarshalListServersTypesResponse: (data: unknown) => ListServersTypesResponse;
export declare const unmarshalListSnapshotsResponse: (data: unknown) => ListSnapshotsResponse;
export declare const unmarshalListVolumesResponse: (data: unknown) => ListVolumesResponse;
export declare const unmarshalListVolumesTypesResponse: (data: unknown) => ListVolumesTypesResponse;
export declare const unmarshalMigrationPlan: (data: unknown) => MigrationPlan;
export declare const unmarshalServerActionResponse: (data: unknown) => ServerActionResponse;
export declare const unmarshalSetImageResponse: (data: unknown) => SetImageResponse;
export declare const unmarshalSetPlacementGroupResponse: (data: unknown) => SetPlacementGroupResponse;
export declare const unmarshalSetPlacementGroupServersResponse: (data: unknown) => SetPlacementGroupServersResponse;
export declare const unmarshalSetSecurityGroupResponse: (data: unknown) => SetSecurityGroupResponse;
export declare const unmarshalSetSecurityGroupRuleResponse: (data: unknown) => SetSecurityGroupRuleResponse;
export declare const unmarshalSetSecurityGroupRulesResponse: (data: unknown) => SetSecurityGroupRulesResponse;
export declare const unmarshalSetServerResponse: (data: unknown) => SetServerResponse;
export declare const unmarshalSetSnapshotResponse: (data: unknown) => SetSnapshotResponse;
export declare const unmarshalUpdateImageResponse: (data: unknown) => UpdateImageResponse;
export declare const unmarshalUpdateIpResponse: (data: unknown) => UpdateIpResponse;
export declare const unmarshalUpdatePlacementGroupResponse: (data: unknown) => UpdatePlacementGroupResponse;
export declare const unmarshalUpdatePlacementGroupServersResponse: (data: unknown) => UpdatePlacementGroupServersResponse;
export declare const unmarshalUpdateSecurityGroupResponse: (data: unknown) => UpdateSecurityGroupResponse;
export declare const unmarshalUpdateSecurityGroupRuleResponse: (data: unknown) => UpdateSecurityGroupRuleResponse;
export declare const unmarshalUpdateServerResponse: (data: unknown) => UpdateServerResponse;
export declare const unmarshalUpdateSnapshotResponse: (data: unknown) => UpdateSnapshotResponse;
export declare const unmarshalUpdateVolumeResponse: (data: unknown) => UpdateVolumeResponse;
export declare const marshalApplyBlockMigrationRequest: (request: ApplyBlockMigrationRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalAttachServerVolumeRequest: (request: AttachServerVolumeRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateImageRequest: (request: CreateImageRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateIpRequest: (request: CreateIpRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreatePlacementGroupRequest: (request: CreatePlacementGroupRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreatePrivateNICRequest: (request: CreatePrivateNICRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateSecurityGroupRequest: (request: CreateSecurityGroupRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateSecurityGroupRuleRequest: (request: CreateSecurityGroupRuleRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateServerRequest: (request: CreateServerRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateSnapshotRequest: (request: CreateSnapshotRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateVolumeRequest: (request: CreateVolumeRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalDetachServerVolumeRequest: (request: DetachServerVolumeRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalExportSnapshotRequest: (request: ExportSnapshotRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalPlanBlockMigrationRequest: (request: PlanBlockMigrationRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalServerActionRequest: (request: ServerActionRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalSetImageRequest: (request: SetImageRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalSetPlacementGroupRequest: (request: SetPlacementGroupRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalSetPlacementGroupServersRequest: (request: SetPlacementGroupServersRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalSetSecurityGroupRequest: (request: SetSecurityGroupRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalSetSecurityGroupRuleRequest: (request: SetSecurityGroupRuleRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalSetSecurityGroupRulesRequest: (request: SetSecurityGroupRulesRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalSetServerRequest: (request: SetServerRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalSetSnapshotRequest: (request: SetSnapshotRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateImageRequest: (request: UpdateImageRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateIpRequest: (request: UpdateIpRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdatePlacementGroupRequest: (request: UpdatePlacementGroupRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdatePlacementGroupServersRequest: (request: UpdatePlacementGroupServersRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdatePrivateNICRequest: (request: UpdatePrivateNICRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateSecurityGroupRequest: (request: UpdateSecurityGroupRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateSecurityGroupRuleRequest: (request: UpdateSecurityGroupRuleRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateServerRequest: (request: UpdateServerRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateSnapshotRequest: (request: UpdateSnapshotRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateVolumeRequest: (request: UpdateVolumeRequest, defaults: DefaultValues) => Record<string, unknown>;
