"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const index = require("./internal/logger/index.cjs");
const client = require("./scw/client.cjs");
const clientIniFactory = require("./scw/client-ini-factory.cjs");
const customTypes = require("./scw/custom-types.cjs");
const index$1 = require("./scw/errors/standard/index.cjs");
const json = require("./helpers/json.cjs");
const intervalRetrier = require("./internal/async/interval-retrier.cjs");
const helpers = require("./internal/interceptors/helpers.cjs");
const api = require("./scw/api.cjs");
const auth = require("./scw/auth.cjs");
const customMarshalling = require("./scw/custom-marshalling.cjs");
const marshalling = require("./helpers/marshalling.cjs");
const resourcePaginator = require("./scw/fetch/resource-paginator.cjs");
const index_gen$g = require("./api/account/index.gen.cjs");
const index_gen = require("./api/applesilicon/index.gen.cjs");
const index_gen$1 = require("./api/baremetal/index.gen.cjs");
const index_gen$h = require("./api/billing/index.gen.cjs");
const index_gen$i = require("./api/block/index.gen.cjs");
const index_gen$j = require("./api/cockpit/index.gen.cjs");
const index_gen$k = require("./api/container/index.gen.cjs");
const index_gen$l = require("./api/dedibox/index.gen.cjs");
const index_gen$2 = require("./api/document_db/index.gen.cjs");
const index_gen$m = require("./api/domain/index.gen.cjs");
const index_gen$n = require("./api/edge_services/index.gen.cjs");
const index_gen$3 = require("./api/flexibleip/index.gen.cjs");
const index_gen$o = require("./api/function/index.gen.cjs");
const index_gen$4 = require("./api/iam/index.gen.cjs");
const index_gen$p = require("./api/inference/index.gen.cjs");
const index_gen$q = require("./api/instance/index.gen.cjs");
const index_gen$5 = require("./api/iot/index.gen.cjs");
const index_gen$6 = require("./api/ipam/index.gen.cjs");
const index_gen$7 = require("./api/ipfs/index.gen.cjs");
const index_gen$r = require("./api/jobs/index.gen.cjs");
const index_gen$s = require("./api/k8s/index.gen.cjs");
const index_gen$t = require("./api/key_manager/index.gen.cjs");
const index_gen$8 = require("./api/lb/index.gen.cjs");
const index_gen$9 = require("./api/llm_inference/index.gen.cjs");
const index_gen$u = require("./api/marketplace/index.gen.cjs");
const index_gen$a = require("./api/mnq/index.gen.cjs");
const index_gen$v = require("./api/mongodb/index.gen.cjs");
const index_gen$w = require("./api/qaas/index.gen.cjs");
const index_gen$b = require("./api/rdb/index.gen.cjs");
const index_gen$x = require("./api/redis/index.gen.cjs");
const index_gen$y = require("./api/registry/index.gen.cjs");
const index_gen$z = require("./api/secret/index.gen.cjs");
const index_gen$c = require("./api/serverless_sqldb/index.gen.cjs");
const index_gen$A = require("./api/std/index.gen.cjs");
const index_gen$d = require("./api/tem/index.gen.cjs");
const index_gen$B = require("./api/test/index.gen.cjs");
const index_gen$e = require("./api/vpc/index.gen.cjs");
const index_gen$f = require("./api/vpcgw/index.gen.cjs");
const index_gen$C = require("./api/webhosting/index.gen.cjs");
exports.enableConsoleLogger = index.enableConsoleLogger;
exports.setLogger = index.setLogger;
exports.createAdvancedClient = client.createAdvancedClient;
exports.createClient = client.createClient;
exports.withAdditionalInterceptors = clientIniFactory.withAdditionalInterceptors;
exports.withDefaultPageSize = clientIniFactory.withDefaultPageSize;
exports.withHTTPClient = clientIniFactory.withHTTPClient;
exports.withProfile = clientIniFactory.withProfile;
exports.withUserAgent = clientIniFactory.withUserAgent;
exports.withUserAgentSuffix = clientIniFactory.withUserAgentSuffix;
exports.Decimal = customTypes.Decimal;
exports.Errors = index$1;
exports.isJSONObject = json.isJSONObject;
exports.createExponentialBackoffStrategy = intervalRetrier.createExponentialBackoffStrategy;
exports.tryAtIntervals = intervalRetrier.tryAtIntervals;
exports.waitForResource = intervalRetrier.waitForResource;
exports.addAsyncHeaderInterceptor = helpers.addAsyncHeaderInterceptor;
exports.API = api.API;
exports.authenticateWithSessionToken = auth.authenticateWithSessionToken;
exports.marshalBlobToScwFile = customMarshalling.marshalBlobToScwFile;
exports.marshalDecimal = customMarshalling.marshalDecimal;
exports.marshalMoney = customMarshalling.marshalMoney;
exports.marshalScwFile = customMarshalling.marshalScwFile;
exports.marshalTimeSeries = customMarshalling.marshalTimeSeries;
exports.unmarshalDecimal = customMarshalling.unmarshalDecimal;
exports.unmarshalMoney = customMarshalling.unmarshalMoney;
exports.unmarshalScwFile = customMarshalling.unmarshalScwFile;
exports.unmarshalServiceInfo = customMarshalling.unmarshalServiceInfo;
exports.unmarshalTimeSeries = customMarshalling.unmarshalTimeSeries;
exports.unmarshalTimeSeriesPoint = customMarshalling.unmarshalTimeSeriesPoint;
exports.resolveOneOf = marshalling.resolveOneOf;
exports.unmarshalArrayOfObject = marshalling.unmarshalArrayOfObject;
exports.unmarshalDate = marshalling.unmarshalDate;
exports.unmarshalMapOfObject = marshalling.unmarshalMapOfObject;
exports.urlParams = marshalling.urlParams;
exports.validatePathParam = marshalling.validatePathParam;
exports.enrichForPagination = resourcePaginator.enrichForPagination;
exports.Account = index_gen$g;
exports.AppleSilicon = index_gen;
exports.Applesilicon = index_gen;
exports.BareMetal = index_gen$1;
exports.Baremetal = index_gen$1;
exports.Billing = index_gen$h;
exports.Block = index_gen$i;
exports.Cockpit = index_gen$j;
exports.Container = index_gen$k;
exports.Dedibox = index_gen$l;
exports.DocumentDB = index_gen$2;
exports.DocumentDb = index_gen$2;
exports.Domain = index_gen$m;
exports.EdgeServices = index_gen$n;
exports.FlexibleIP = index_gen$3;
exports.Flexibleip = index_gen$3;
exports.Function = index_gen$o;
exports.IAM = index_gen$4;
exports.Iam = index_gen$4;
exports.Inference = index_gen$p;
exports.Instance = index_gen$q;
exports.IOT = index_gen$5;
exports.Iot = index_gen$5;
exports.IPAM = index_gen$6;
exports.Ipam = index_gen$6;
exports.IPFS = index_gen$7;
exports.Ipfs = index_gen$7;
exports.Jobs = index_gen$r;
exports.K8s = index_gen$s;
exports.KeyManager = index_gen$t;
exports.LB = index_gen$8;
exports.Lb = index_gen$8;
exports.LLMInference = index_gen$9;
exports.LlmInference = index_gen$9;
exports.Marketplace = index_gen$u;
exports.MNQ = index_gen$a;
exports.Mnq = index_gen$a;
exports.Mongodb = index_gen$v;
exports.Qaas = index_gen$w;
exports.RDB = index_gen$b;
exports.Rdb = index_gen$b;
exports.Redis = index_gen$x;
exports.Registry = index_gen$y;
exports.Secret = index_gen$z;
exports.ServerlessSQLDB = index_gen$c;
exports.ServerlessSqldb = index_gen$c;
exports.Std = index_gen$A;
exports.Tem = index_gen$d;
exports.TransactionalEmail = index_gen$d;
exports.Test = index_gen$B;
exports.VPC = index_gen$e;
exports.Vpc = index_gen$e;
exports.VPCGW = index_gen$f;
exports.Vpcgw = index_gen$f;
exports.Webhosting = index_gen$C;
